/*
 *   @(#) $Id: DatagramBindTest.java 366008 2006-01-04 22:26:52Z niklas $
 *
 *   Copyright 2004 The Apache Software Foundation
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 *
 */
package org.apache.mina.transport.socket.nio;

import java.net.InetSocketAddress;
import java.net.SocketAddress;

import org.apache.mina.transport.AbstractBindTest;

/**
 * Tests {@link DatagramAcceptor} resource leakage.
 * 
 * @author The Apache Directory Project (dev@directory.apache.org)
 * @version $Rev: 366008 $, $Date: 2006-01-05 07:26:52 +0900 (Thu, 05 Jan 2006) $ 
 */
public class DatagramBindTest extends AbstractBindTest
{

    public DatagramBindTest()
    {
        super( new DatagramAcceptor() );
    }

    protected SocketAddress createSocketAddress( int port )
    {
        return new InetSocketAddress( port );
    }    
}
